<div fxLayout="column" fxLayoutGap="8px" class="content-container">
  <app-path-input
    [label]="'SAVE_PATH' | translate"
    [path]="downloadPath$ | async"
    (pathChange)="setPath($event)"
  ></app-path-input>

  <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="12px">
    <!-- <app-main-controls
      (download)="download()"
      (stop)="stop()"
      (refresh)="refresh()"
    ></app-main-controls> -->
    <app-main-range-input
      [start]="startChapter$ | async"
      [end]="endChapter$ | async"
      [disabled]="!(downloadPath$ | async)"
      (addToQueue)="addToQueue($event)"
    ></app-main-range-input>
  </div>

  <app-chapter-table
    fxFlex
    [downloadStatus]="downloadStatus$ | async"
    [chapters]="chapters$ | async"
  ></app-chapter-table>
</div>
